## python-django-import-export 2.5.0

=== Makefile ===
.PHONY: clean-pyc clean-build release docs help
.PHONY: lint test coverage test-codecov
.DEFAULT_GOAL := help
RUN_TEST_COMMAND=PYTHONPATH=".:tests:${PYTHONPATH}" django-admin.py test core --settings=settings
help:
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "\033[36m  %-25s\033[0m %s\n", $$1, $$2}'

clean: clean-build clean-pyc clean-tests

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

clean-tests: ## remove pytest artifacts
	rm -fr .pytest_cache/
	rm -fr htmlcov/
	rm -fr django-import-export/

lint: ## check style with isort
	isort --check-only

test: ## run tests quickly with the default Python
	$(RUN_TEST_COMMAND)

messages: ## generate locale file translations
	cd import_export && django-admin.py makemessages && cd ..

coverage: ## generates codecov report
	coverage run --omit='setup.py,tests/*' --source=. tests/manage.py test core --settings=
	coverage report

sdist: clean ## package
	python setup.py sdist
	ls -l dist

release: clean install-deploy-requirements sdist ## package and upload a release
	fullrelease

install-base-requirements: ## install package requirements
	pip install -r requirements/base.txt

install-test-requirements: ## install requirements for testing
	pip install -r requirements/test.txt

install-deploy-requirements:  ## install requirements for deployment
	pip install -r requirements/deploy.txt

install-docs-requirements:  ## install requirements for docs
	pip install -r requirements/docs.txt

install-requirements: install-base-requirements install-test-requirements install-deploy-requirements install-docs-requirements

build-html-doc: ## builds the project documentation in HTML format
	DJANGO_SETTINGS_MODULE=tests.settings make html -C docs

## python-django-import-export 2.3.0

=== debian/changelog ===
python-django-import-export (2.3.0-1) unstable; urgency=medium

  * Add patch fixing problems with the zh_CN header.
  * New upstream release.
  * Refresh patch for zh_CN.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 Jul 2020 15:20:28 +0200

python-django-import-export (2.2.0-2) unstable; urgency=medium

  * Upload source-only to unstable - for testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 08 Jul 2020 16:37:37 +0200

python-django-import-export (2.2.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #962836).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Jun 2020 09:29:29 +0200

=== debian/control ===
Source: python-django-import-export
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.0
Homepage: https://github.com/django-import-export/django-import-export
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-django,
               python3-setuptools
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-import-export.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-import-export

Package: python3-django-import-export
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Description: Django application and library for data import/export (Python 3)
 Django application and library for importing and exporting of data in multiple
 formats with included admin integration.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import import_export; print(import_export)" ; done
Depends: @
Restrictions: allow-stderr, superficial

## python-django-import-export 2.5.0

=== debian/changelog ===
python-django-import-export (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 29 Jan 2021 08:35:30 +0100

python-django-import-export (2.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Michael Hudson-Doyle ]
  * d/tests/control: Add python3-all to Depends:.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 23 Oct 2020 15:41:33 +1300

python-django-import-export (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * New upstream release.
  * Declare d/rules doesn't require root.
  * Bump dh compat to 13.
  * Drop lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 08 Oct 2020 13:57:46 +0200

=== debian/control ===
Source: python-django-import-export
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.1
Homepage: https://github.com/django-import-export/django-import-export
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-django,
               python3-setuptools
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-import-export.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-import-export

Package: python3-django-import-export
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Description: Django application and library for data import/export (Python 3)
 Django application and library for importing and exporting of data in multiple
 formats with included admin integration.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
https://github.com/django-import-export/django-import-export/releases .*/archive/(\d\S*)\.tar\.gz

## python-django-import-export 2.7.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: clean-pyc clean-build release docs help
 .PHONY: lint test coverage test-codecov
 .DEFAULT_GOAL := help
-RUN_TEST_COMMAND=PYTHONPATH=".:tests:${PYTHONPATH}" django-admin.py test core --settings=settings
+RUN_TEST_COMMAND=PYTHONPATH=".:tests:${PYTHONPATH}" django-admin test core --settings=settings
 help:
 	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "\033[36m  %-25s\033[0m %s\n", $$1, $$2}'
 
@@ -23,13 +23,13 @@
 	rm -fr django-import-export/
 
 lint: ## check style with isort
-	isort --check-only
+	isort --check-only .
 
 test: ## run tests quickly with the default Python
 	$(RUN_TEST_COMMAND)
 
 messages: ## generate locale file translations
-	cd import_export && django-admin.py makemessages && cd ..
+	cd import_export && django-admin makemessages -a && django-admin compilemessages && cd ..
 
 coverage: ## generates codecov report
 	coverage run --omit='setup.py,tests/*' --source=. tests/manage.py test core --settings=

=== debian/changelog ===
python-django-import-export (2.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 25 Dec 2021 19:05:40 +0100

python-django-import-export (2.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 09 Dec 2021 08:56:22 +0100

python-django-import-export (2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 02 Oct 2021 10:44:41 +0200

python-django-import-export (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop the locale patch.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 20 Sep 2021 12:09:17 +0200

python-django-import-export (2.5.0-2) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Aug 2021 11:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/django-import-export/django-import-export
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import import_export; print(import_export)" ; done
Depends: @, python3-all
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
https://github.com/django-import-export/django-import-export/releases .*/(\d\S*)\.tar\.gz

## python-django-import-export 2.8.0

=== debian/changelog ===
python-django-import-export (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 04 Apr 2022 14:22:51 +0200

## python-django-import-export 3.0.2

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 coverage: ## generates codecov report
 	coverage run --omit='setup.py,tests/*' --source=. tests/manage.py test core --settings=
+	coverage combine
 	coverage report
 
 sdist: clean ## package

=== debian/changelog ===
python-django-import-export (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 26 Dec 2022 11:31:46 +0100

python-django-import-export (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 28 Oct 2022 19:48:21 +0200

python-django-import-export (2.9.0-1) unstable; urgency=medium

  * Fix d/watch.
  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Oct 2022 22:06:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/django-import-export/django-import-export
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=import-export

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/django-import-export/django-import-export/tags .*/(\d\S*)\.tar\.gz

## python-django-import-export 3.2.0

=== debian/changelog ===
python-django-import-export (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 12:50:52 +0200

## python-django-import-export 3.3.4

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,6 @@
 	rm -fr .pytest_cache/
 	rm -fr htmlcov/
 	rm -fr django-import-export/
-
-lint: ## check style with isort
-	isort --check-only .
 
 test: ## run tests quickly with the default Python
 	$(RUN_TEST_COMMAND)

=== debian/changelog ===
python-django-import-export (3.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 12 Dec 2023 15:02:54 +0100

## python-django-import-export 4.0.9

=== Makefile ===
.PHONY: clean-pyc clean-build docs help
.PHONY: lint test coverage test-codecov
.DEFAULT_GOAL := help
RUN_TEST_COMMAND=PYTHONPATH=".:tests:${PYTHONPATH}" python -W error -m django test core --settings=settings
help:
	@grep '^[a-zA-Z]' $(MAKEFILE_LIST) | sort | awk -F ':.*?## ' 'NF==2 {printf "\033[36m  %-25s\033[0m %s\n", $$1, $$2}'

clean: clean-build clean-pyc clean-tests

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info
	rm -f import_export/_version.py

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

clean-tests: ## remove pytest artifacts
	rm -fr .pytest_cache/
	rm -fr htmlcov/
	rm -fr django-import-export/

test: ## run tests with the default Python
	$(RUN_TEST_COMMAND)

testp: ## run tests in parallel with the default Python
	$(RUN_TEST_COMMAND) --parallel

messages: ## generate locale file translations
	cd import_export && django-admin makemessages -a && django-admin compilemessages && cd ..

coverage: ## generates codecov report
	coverage run tests/manage.py test core --settings=
	coverage combine
	coverage report

sdist: clean ## package
	python setup.py sdist
	ls -l dist

install-base-requirements: ## install package requirements
	pip install -r requirements/base.txt

install-test-requirements: ## install requirements for testing
	pip install -r requirements/test.txt

install-docs-requirements:  ## install requirements for docs
	pip install -r requirements/docs.txt

install-requirements: install-base-requirements install-test-requirements install-docs-requirements

## builds the project documentation in HTML format
## run `pip install -e .` first if running locally
build-html-doc:
	DJANGO_SETTINGS_MODULE=tests.settings make html -C docs

=== debian/changelog ===
python-django-import-export (4.0.9-1) unstable; urgency=medium

  * Package new upstream 4.0.9

 -- Julien Puydt <jpuydt@debian.org>  Wed, 19 Jun 2024 08:59:33 +0200

python-django-import-export (4.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Jun 2024 11:12:14 +0200

python-django-import-export (4.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Jun 2024 11:10:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/django-import-export/django-import-export
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-django,
-               python3-setuptools
+               python3-setuptools,
+               python3-setuptools-scm
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-import-export.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-import-export

## python-django-import-export 4.1.1

=== debian/changelog ===
python-django-import-export (4.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Sep 2024 06:48:51 +0200

## python-django-import-export 4.3.3

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	rm -fr dist/
 	rm -fr *.egg-info
 	rm -f import_export/_version.py
+	rm -fr .coverage*
 
 clean-pyc: ## remove Python file artifacts
 	find . -name '*.pyc' -exec rm -f {} +
@@ -33,7 +34,7 @@
 	cd import_export && django-admin makemessages -a && django-admin compilemessages && cd ..
 
 coverage: ## generates codecov report
-	coverage run tests/manage.py test core --settings=
+	coverage run tests/manage.py test core
 	coverage combine
 	coverage report
 
@@ -42,13 +43,13 @@
 	ls -l dist
 
 install-base-requirements: ## install package requirements
-	pip install -r requirements/base.txt
+	pip install .
 
 install-test-requirements: ## install requirements for testing
-	pip install -r requirements/test.txt
+	pip install .[tests]
 
 install-docs-requirements:  ## install requirements for docs
-	pip install -r requirements/docs.txt
+	pip install --editable .[docs]
 
 install-requirements: install-base-requirements install-test-requirements install-docs-requirements

=== debian/changelog ===
python-django-import-export (4.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 04 Jan 2025 14:46:16 +0100

## python-django-import-export 4.3.5

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	rm -fr dist/
 	rm -fr *.egg-info
 	rm -f import_export/_version.py
-	rm -fr .coverage*
+	rm -fr .coverage.*
 
 clean-pyc: ## remove Python file artifacts
 	find . -name '*.pyc' -exec rm -f {} +

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-shop-discounts.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-shop-discounts.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-shop-discounts"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-shop-discounts"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-django-import-export (4.3.5-2) unstable; urgency=medium

  * debian/rules: provide correct PYBUILD_NAME
  * autopkgtest: replace dummy tests with a real integration test
  * debian/rules: build a MANIFEST.in from import_export/ (Closes: #1108408)
  * Run tests during build and under autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Jun 2025 23:08:00 -0300

python-django-import-export (4.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Feb 2025 09:04:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,21 @@
 Homepage: https://github.com/django-import-export/django-import-export
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3,
+               python3-chardet,
+               python3-diff-match-patch,
                python3-django,
+               python3-psycopg2,
+               python3-pytest,
+               python3-pytest-django,
                python3-setuptools,
-               python3-setuptools-scm
+               python3-setuptools-scm,
+               python3-tablib,
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-import-export.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-import-export
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-django-import-export
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=django-import-export
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
export DJANGO_SETTINGS_MODULE=tests.settings

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	find import_export/ -type f | sed 's/^/include /' > MANIFEST.in
	dh_auto_build

override_dh_auto_clean:
	rm -f import_export/_version.py
	rm -rf .pybuild/ django_import_export.egg-info/
	rm -f MANIFEST.in

=== debian/tests/control ===
Tests: django-admin
Restrictions: allow-stderr
